Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## analogWrite()

#### Description

Writes an analog value as PWM to the specified port on the robot. The board has a 8-bit PWM, allowing for 256 discrete levels.

Robot.analogWrite() only works on TKD4, located on the Control Board. It cannot be used at the same time as TK0 through TK7.

#### Syntax

Robot.analogWrite(port, value)

#### Parameters

port: TKD4

value : 0 to 255

#### Returns

none

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Serial.begin(9600);
}
void loop(){
for(int x=0;x<256;x++){
Robot.analogWrite(TKD4, x); //increase brightness of an LED on TK0
delay(20);
}
}
[Get Code]

#### Note

Robot Control Board

#### See also

- digitalRead()
- digitalWrite()
- analogRead()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers